from django.db import models

# Create your models here.

class Host(models.Model):
    # 主机表
    nid=models.AutoField(primary_key=True)
    hostname=models.CharField(max_length=32,db_index=True)
    ip=models.GenericIPAddressField(db_index=True)
    port=models.IntegerField()
    b=models.ForeignKey("Business",to_field='id',on_delete=models.CASCADE,)


class Business(models.Model):
    # 业务线
    caption=models.CharField(max_length=32)
    code=models.CharField(max_length=32,null=True,default='SA')




class Application(models.Model):
    #应用表
    name=models.CharField(max_length=32)
    r=models.ManyToManyField("Host")
#
# class HosttoApp(models.Model):
#     # hobj 是对host的表建立关系  aobj 是跟app这个表建立关系
#     # hobj 1~10  aobj  1~2
#     hobj=models.ForeignKey("Host",to_field="nid",on_delete=models.CASCADE,)
#     aobj=models.ForeignKey("Application",to_field="id",on_delete=models.CASCADE,)
#


